OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.OcclusionQuery

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBOcclusionQuery :: MonadIO m => m Bool
- gl_ARB_occlusion_query :: Bool
- pattern GL_CURRENT_QUERY_ARB :: GLenum
- pattern GL_QUERY_COUNTER_BITS_ARB :: GLenum
- pattern GL_QUERY_RESULT_ARB :: GLenum
- pattern GL_QUERY_RESULT_AVAILABLE_ARB :: GLenum
- pattern GL_SAMPLES_PASSED_ARB :: GLenum
- glBeginQueryARB :: MonadIO m => GLenum -> GLuint -> m ()
- glDeleteQueriesARB :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glEndQueryARB :: MonadIO m => GLenum -> m ()
- glGenQueriesARB :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetQueryObjectivARB :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetQueryObjectuivARB :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glGetQueryivARB :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glIsQueryARB :: MonadIO m => GLuint -> m GLboolean

# Extension Support

glGetARBOcclusionQuery :: MonadIO m => m Bool Source #

Is the ARB_occlusion_query extension supported?

gl_ARB_occlusion_query :: Bool Source #

Is the ARB_occlusion_query extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBOcclusionQuery` in those cases instead.

# Enums

pattern GL_CURRENT_QUERY_ARB :: GLenum Source #

pattern GL_QUERY_COUNTER_BITS_ARB :: GLenum Source #

pattern GL_QUERY_RESULT_ARB :: GLenum Source #

pattern GL_QUERY_RESULT_AVAILABLE_ARB :: GLenum Source #

pattern GL_SAMPLES_PASSED_ARB :: GLenum Source #

# Functions

glBeginQueryARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLuint | `id`.
-> m () |

This command is an alias for `glBeginQuery`.

glDeleteQueriesARB Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glDeleteQueries`.

glEndQueryARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type QueryTarget.
-> m () |

This command is an alias for `glEndQuery`.

glGenQueriesARB Source #

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids` pointing to `n` elements of type `GLuint`.
-> m () |

This command is an alias for `glGenQueries`.

glGetQueryObjectivARB Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetQueryObjectiv`.

glGetQueryObjectuivARB Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLenum | `pname` of type QueryObjectParameterName.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

This command is an alias for `glGetQueryObjectuiv`.

glGetQueryivARB Source #

Arguments

:: MonadIO m |
=> GLenum | `target` of type QueryTarget.
-> GLenum | `pname` of type QueryParameterName.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

This command is an alias for `glGetQueryiv`.

glIsQueryARB Source #

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> m GLboolean | of type Boolean.

This command is an alias for `glIsQuery`.